Index: rtemstoolkit/elftoolchain/common/Makefile
===================================================================
--- rtemstoolkit/elftoolchain/common/Makefile	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/common/Makefile	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -1,3 +1,3 @@
-# $Id: Makefile 2140 2011-11-10 14:27:03Z jkoshy $
+# $Id$
 
 TOP=	..
@@ -6,9 +6,7 @@
 INCSDIR?=	/usr/include
 
-.PHONY:	all clean clobber depend obj
+all obj depend:
 
-all depend obj:
-
-clean clobber:
+clean:
 	rm -f ${CLEANFILES}
 
Index: rtemstoolkit/elftoolchain/common/_elftc.h
===================================================================
--- rtemstoolkit/elftoolchain/common/_elftc.h	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/common/_elftc.h	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -24,5 +24,5 @@
  * SUCH DAMAGE.
  *
- * $Id: _elftc.h 2064 2011-10-26 15:12:32Z jkoshy $
+ * $Id$
  */
 
@@ -79,9 +79,5 @@
 
 #if defined(__linux__) || defined(__GNU__) || defined(__GLIBC__)
-#if defined(__GNUC__)
-#define	ELFTC_VCSID(ID)		__asm__(".ident\t\"" ID "\"")
-#else
 #define	ELFTC_VCSID(ID)		/**/
-#endif
 #endif
 
Index: rtemstoolkit/elftoolchain/common/elfdefinitions.h
===================================================================
--- rtemstoolkit/elftoolchain/common/elfdefinitions.h	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/common/elfdefinitions.h	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -24,5 +24,5 @@
  * SUCH DAMAGE.
  *
- * $Id: elfdefinitions.h 2132 2011-11-10 08:27:41Z jkoshy $
+ * $Id$
  */
 
@@ -868,20 +868,10 @@
 _ELF_DEFINE_PT(PT_LOOS,             0x60000000UL,		\
 	"start of OS-specific range")				\
-_ELF_DEFINE_PT(PT_SUNW_UNWIND,      0x6464E550UL,		\
-	"Solaris/amd64 stack unwind tables")			\
 _ELF_DEFINE_PT(PT_GNU_EH_FRAME,     0x6474E550UL,		\
-	"GCC generated .eh_frame_hdr segment")			\
+	"GCC generated .eh_frame_hdr segment ")			\
 _ELF_DEFINE_PT(PT_GNU_STACK,	    0x6474E551UL,		\
 	"Stack flags")						\
 _ELF_DEFINE_PT(PT_GNU_RELRO,	    0x6474E552UL,		\
 	"Segment becomes read-only after relocation")		\
-_ELF_DEFINE_PT(PT_SUNWBSS,          0x6FFFFFFAUL,		\
-	"A Solaris .SUNW_bss section")				\
-_ELF_DEFINE_PT(PT_SUNWSTACK,        0x6FFFFFFBUL,		\
-	"A Solaris process stack")				\
-_ELF_DEFINE_PT(PT_SUNWDTRACE,       0x6FFFFFFCUL,		\
-	"Used by dtrace(1)")					\
-_ELF_DEFINE_PT(PT_SUNWCAP,          0x6FFFFFFDUL,		\
-	"Special hardware capability requirements")		\
 _ELF_DEFINE_PT(PT_HIOS,             0x6FFFFFFFUL,		\
 	"end of OS-specific range")				\
@@ -910,6 +900,4 @@
 /* synonyms. */
 #define	PT_ARM_UNWIND	PT_ARM_EXIDX
-#define	PT_HISUNW	PT_HIOS
-#define	PT_LOSUNW	PT_SUNWBSS
 
 /*
@@ -1602,5 +1590,4 @@
 _ELF_DEFINE_RELOC(R_MIPS_CALL16,	11)	\
 _ELF_DEFINE_RELOC(R_MIPS_GPREL32,	12)	\
-_ELF_DEFINE_RELOC(R_MIPS_64,		18)	\
 _ELF_DEFINE_RELOC(R_MIPS_GOTHI16,	21)	\
 _ELF_DEFINE_RELOC(R_MIPS_GOTLO16,	22)	\
Index: rtemstoolkit/elftoolchain/common/native-elf-format
===================================================================
--- rtemstoolkit/elftoolchain/common/native-elf-format	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/common/native-elf-format	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -1,5 +1,3 @@
 #!/bin/sh
-#
-# $Id: native-elf-format 2064 2011-10-26 15:12:32Z jkoshy $
 #
 # Find the native ELF format for a host platform by compiling a
@@ -20,5 +18,5 @@
 
 cc -c ${tmp_c} -o ${tmp_o}
-LANG="C" readelf -h ${tmp_o} | awk '
+readelf -h ${tmp_o} | awk '
 $1 ~ "Class:" {
         sub("ELF","",$2); elfclass = $2;
@@ -45,2 +43,3 @@
     printf("#define	ELFTC_BYTEORDER	ELFDATA2%s\n", elfdata);
 }'
+
Index: rtemstoolkit/elftoolchain/common/os.Linux.mk
===================================================================
--- rtemstoolkit/elftoolchain/common/os.Linux.mk	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/common/os.Linux.mk	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -2,5 +2,5 @@
 # Build recipes for Linux based operating systems.
 #
-# $Id: os.Linux.mk 2064 2011-10-26 15:12:32Z jkoshy $
+# $Id$
 
 _NATIVE_ELF_FORMAT = native-elf-format
Index: rtemstoolkit/elftoolchain/common/uthash.h
===================================================================
--- rtemstoolkit/elftoolchain/common/uthash.h	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/common/uthash.h	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -21,6 +21,4 @@
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
-
-/* $Id: uthash.h 2064 2011-10-26 15:12:32Z jkoshy $ */
 
 #ifndef UTHASH_H
Index: rtemstoolkit/elftoolchain/libelf/Makefile
===================================================================
--- rtemstoolkit/elftoolchain/libelf/Makefile	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/Makefile	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -1,3 +1,3 @@
-# $Id: Makefile 1345 2011-01-01 11:17:52Z jkoshy $
+# $Id$
 
 TOP=	${.CURDIR}/..
Index: rtemstoolkit/elftoolchain/libelf/README
===================================================================
--- rtemstoolkit/elftoolchain/libelf/README	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
+++ rtemstoolkit/elftoolchain/libelf/README	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -0,0 +1,12 @@
+# $FreeBSD$
+# $NetBSD$
+
+libelf: a BSD-licensed implementation of the ELF(3)/GELF(3) API.
+
+Documentation:
+ * Manual page elf.3 contains an overview of the library.  Other
+   manual pages document individual APIs in the library.
+ * A tutorial "libelf by Example" is available at:
+   http://people.freebsd.org/~jkoshy/download/libelf/article.html
+	
+For ongoing development please see http://elftoolchain.sourceforge.net/
Index: rtemstoolkit/elftoolchain/libelf/README.build
===================================================================
--- rtemstoolkit/elftoolchain/libelf/README.build	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
+++ rtemstoolkit/elftoolchain/libelf/README.build	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -0,0 +1,66 @@
+: README.build -- notes on the build process
+
+The "Makefile" in this directory uses BSD make(1) syntax.  If you are
+trying to build this library on a platform that does not have a
+pre-built BSD compatible make(1), then you could try porting NetBSD's
+make(1).  NetBSD's make(1) is available at:
+
+    http://www.crufty.net/help/sjg/bmake.html
+
+
+: Supporting cross builds
+
+In the general case, libelf may be built for a target operating system
+and machine architecture that is different from the host operating
+system and machine architecture that the compilation is happening on.
+For example, compilation could be running on a Linux/i386 host, with
+target binaries being created for a NetBSD/sparc64 system.
+
+To support cross building:
+- The top-level "Makefile" pulls in the appropriate make rules for the
+  target system.
+
+  Inside of makefiles, we determine the target OS by looking at the
+  contents of the ${unix} make variable.  The top-level makefile then
+  includes any target specific makefiles if they exist.
+
+- Operating systems differ in the names and locations of the headers
+  where their ELF types are defined.  They also differ in the set of
+  ELF types supported.
+
+  Instead of relying on the host operating system to provide ELF related
+  types and symbols, we define these in header <common/elfdefinitions.h>.
+
+- The file "_libelf_config.h" defines the 'native' architecture, byte order
+  and word size for libelf.
+
+: OS Specific Configuration :
+
+:: Debian ::
+
+The following packages are needed for the build:
+- `build-essential'
+- `m4'
+- `freebsd-buildutils' or `freebsd5-buildutils'
+
+You would need to use `freebsd-make' instead of GNU make to build
+the tools.  You would also need to place /usr/lib/freebsd in the
+shell's `PATH', preferably at the beginning.
+
+:: FreeBSD ::
+
+libelf should build out of the box on FreeBSD versions later than 6.0.
+
+:: NetBSD ::
+
+libelf should build out of the box on NetBSD versions later than 4.0.
+
+:: Ubuntu ::
+
+See the section on 'Debian' above.
+
+
+: Porting resources on the 'net
+
+The 'predef' project [http://predef.sourceforge.net/] has a
+comprehensive list of CPP macros predefined by various OSes.
Index: rtemstoolkit/elftoolchain/libelf/Version.map
===================================================================
--- rtemstoolkit/elftoolchain/libelf/Version.map	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/Version.map	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -1,5 +1,3 @@
 /*
- * $Id: Version.map 2033 2011-10-23 09:21:13Z jkoshy $
- * 
  * $FreeBSD: src/lib/libelf/Version.map,v 1.3 2007/04/29 14:05:22 deischen Exp $
  */
@@ -96,2 +94,13 @@
 	*;
 };
+
+/*
+ * Private symbols, mostly test hooks
+ */
+FBSDprivate_1.0 {
+global:
+	_libelf_set_error;
+	_libelf_get_max_error;
+	_libelf_get_no_error_message;
+	_libelf_get_unknown_error_message;
+};
Index: rtemstoolkit/elftoolchain/libelf/_libelf.h
===================================================================
--- rtemstoolkit/elftoolchain/libelf/_libelf.h	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/_libelf.h	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -1,4 +1,4 @@
 /*-
- * Copyright (c) 2006,2008-2011 Joseph Koshy
+ * Copyright (c) 2006,2008-2010 Joseph Koshy
  * All rights reserved.
  *
@@ -24,5 +24,5 @@
  * SUCH DAMAGE.
  *
- * $Id: _libelf.h 1921 2011-09-23 08:04:02Z jkoshy $
+ * $Id$
  */
 
@@ -67,15 +67,13 @@
 
 /*
- * Flags for library internal use.  These use the upper 16 bits of the
- * `e_flags' field.
- */
-#define	LIBELF_F_API_MASK	0x00FFFF  /* Flags defined by the API. */
-#define	LIBELF_F_AR_HEADER	0x010000  /* translated header available */
-#define	LIBELF_F_AR_VARIANT_SVR4 0x020000 /* BSD style ar(1) archive */
-#define	LIBELF_F_DATA_MALLOCED	0x040000 /* whether data was malloc'ed */
-#define	LIBELF_F_RAWFILE_MALLOC	0x080000 /* whether e_rawfile was malloc'ed */
-#define	LIBELF_F_RAWFILE_MMAP	0x100000 /* whether e_rawfile was mmap'ed */
-#define	LIBELF_F_SHDRS_LOADED	0x200000 /* whether all shdrs were read in */
-#define	LIBELF_F_SPECIAL_FILE	0x400000 /* non-regular file */
+ * Flags for library internal use.  These use the upper 16 bits of a
+ * flags field.
+ */
+#define	LIBELF_F_DATA_MALLOCED	0x010000 /* whether data was malloc'ed */
+#define	LIBELF_F_MMAP		0x020000 /* whether e_rawfile was mmap'ed */
+#define	LIBELF_F_SHDRS_LOADED	0x040000 /* whether all shdrs were read in */
+#define	LIBELF_F_AR_VARIANT_SVR4 0x080000 /* BSD style ar(1) archive */
+#define	LIBELF_F_AR_HEADER	0x100000  /* translated header available */
+#define	LIBELF_F_MASK		0x00FFFF  /* Flags defined by the API. */
 
 struct _Elf {
@@ -85,5 +83,5 @@
 	Elf_Cmd		e_cmd;		/* ELF_C_* used at creation time */
 	int		e_fd;		/* associated file descriptor */
-	unsigned int	e_flags;	/* ELF_F_* & LIBELF_F_* flags */
+	unsigned int	e_flags;	/* ELF_F_*, LIBELF_F_* flags */
 	Elf_Kind	e_kind;		/* ELF_K_* */
 	Elf		*e_parent; 	/* non-NULL for archive members */
Index: rtemstoolkit/elftoolchain/libelf/_libelf_ar.h
===================================================================
--- rtemstoolkit/elftoolchain/libelf/_libelf_ar.h	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/_libelf_ar.h	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -23,6 +23,4 @@
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
- *
- * $Id: _libelf_ar.h 2032 2011-10-23 09:07:00Z jkoshy $
  */
 
Index: rtemstoolkit/elftoolchain/libelf/_libelf_config.h
===================================================================
--- rtemstoolkit/elftoolchain/libelf/_libelf_config.h	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/_libelf_config.h	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -1,4 +1,4 @@
 /*-
- * Copyright (c) 2008-2011 Joseph Koshy
+ * Copyright (c) 2008 Joseph Koshy
  * All rights reserved.
  *
@@ -23,6 +23,4 @@
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
- *
- * $Id: _libelf_config.h 2032 2011-10-23 09:07:00Z jkoshy $
  */
 
@@ -116,28 +114,4 @@
 #endif	/* __NetBSD__ */
 
-#ifdef __APPLE__
-
-#define	LIBELF_VCSID(ID)
-
-#if	defined(__amd64__)
-
-#define	LIBELF_ARCH		EM_X86_64
-#define	LIBELF_BYTEORDER	ELFDATA2LSB
-#define	LIBELF_CLASS		ELFCLASS64
-
-#elif	defined(__i386__)
-
-#define	LIBELF_ARCH		EM_386
-#define	LIBELF_BYTEORDER	ELFDATA2LSB
-#define	LIBELF_CLASS		ELFCLASS32
-
-#else
-#error	Unknown Apple architecture.
-#endif
-
-#define	roundup2	roundup
-
-#endif  /* __APPLE__ */
-
 /*
  * GNU & Linux compatibility.
@@ -174,24 +148,2 @@
 
 #endif /* defined(__linux__) || defined(__GNU__) || defined(__GLIBC__) */
-
-#if defined(__WIN32__) || defined(__CYGWIN__)
-
-#define	LIBELF_VCSID(ID)
-
-#if	defined(__amd64__)
-
-#define	LIBELF_ARCH		EM_X86_64
-#define	LIBELF_BYTEORDER	ELFDATA2LSB
-#define	LIBELF_CLASS		ELFCLASS64
-
-#elif	defined(__i386__)
-
-#define	LIBELF_ARCH		EM_386
-#define	LIBELF_BYTEORDER	ELFDATA2LSB
-#define	LIBELF_CLASS		ELFCLASS32
-
-#else
-#error	Unknown Apple architecture.
-#endif
-
-#endif  /* __APPLE__ */
Index: rtemstoolkit/elftoolchain/libelf/elf.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf.3 1730 2011-08-14 10:03:34Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 14, 2011
Index: rtemstoolkit/elftoolchain/libelf/elf.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -29,5 +29,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf.c 1345 2011-01-01 11:17:52Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 struct _libelf_globals _libelf = {
Index: rtemstoolkit/elftoolchain/libelf/elf_begin.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_begin.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_begin.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,7 +22,7 @@
 .\" such damage.
 .\"
-.\" $Id: elf_begin.3 1925 2011-09-23 09:34:05Z jkoshy $ 
+.\" $Id$ 
 .\"
-.Dd September 23, 2011
+.Dd July 20, 2011
 .Os
 .Dt ELF_BEGIN 3
@@ -88,5 +88,5 @@
 It can be used for both
 .Xr ar 1
-archives and for ELF objects.
+archives and for regular ELF files.
 .Pp
 If argument
@@ -135,5 +135,5 @@
 .It Dv ELF_C_RDWR
 This command is used to prepare an ELF file for reading and writing.
-This command is not supported for
+This command is not valid for
 .Xr ar 1
 archives.
@@ -171,5 +171,6 @@
 Argument
 .Ar elf
-is ignored, and the previous contents of file referenced by argument
+is ignored, and the previous contents of file referenced by
+argument
 .Ar fd
 are overwritten.
@@ -248,7 +249,6 @@
 could not be parsed.
 .It Bq Er ELF_E_ARGUMENT
-The value in argument
-.Ar cmd
-was unrecognized.
+An unrecognized value was specified in argument
+.Ar cmd .
 .It Bq Er ELF_E_ARGUMENT
 A non-null value for argument
@@ -277,20 +277,9 @@
 set to
 .Dv ELF_C_RDWR .
-.It Bq Er ELF_E_ARGUMENT
-The file referenced by argument
-.Ar fd
-was empty.
-.It Bq Er ELF_E_ARGUMENT
-The underlying file for argument
-.Ar fd
-was of an unsupported type.
 .It Bq Er ELF_E_IO
-The file descriptor in argument
-.Ar fd
-was invalid.
-.It Bq Er ELF_E_IO
-The file descriptor in argument
-.Ar fd
-could not be read or written to.
+Function
+.Fn elf_begin
+was unable to truncate a file opened for writing using
+.Dv ELF_C_WRITE .
 .It Bq Er ELF_E_RESOURCE
 An out of memory condition was encountered.
Index: rtemstoolkit/elftoolchain/libelf/elf_begin.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_begin.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_begin.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -1,4 +1,4 @@
 /*-
- * Copyright (c) 2006,2008-2011 Joseph Koshy
+ * Copyright (c) 2006,2008 Joseph Koshy
  * All rights reserved.
  *
@@ -33,89 +33,12 @@
 
 #include <ar.h>
-#include <assert.h>
 #include <ctype.h>
 #include <errno.h>
 #include <libelf.h>
-#include <stdlib.h>
 #include <unistd.h>
 
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_begin.c 1923 2011-09-23 09:01:13Z jkoshy $");
-
-#define	_LIBELF_INITSIZE	(64*1024)
-
-/*
- * Read from a device file, pipe or socket.
- */
-static void *
-_libelf_read_special_file(int fd, size_t *fsz)
-{
-	ssize_t readsz;
-	size_t bufsz, datasz;
-	unsigned char *buf, *t;
-
-	datasz = 0;
-	readsz = 0;
-	bufsz = _LIBELF_INITSIZE;
-	if ((buf = malloc(bufsz)) == NULL)
-		goto resourceerror;
-
-	/*
-	 * Read data from the file descriptor till we reach EOF, or
-	 * till an error is encountered.
-	 */
-	do {
-		/* Check if we need to expand the data buffer. */
-		if (datasz == bufsz) {
-			bufsz *= 2;
-			if ((t = realloc(buf, bufsz)) == NULL)
-				goto resourceerror;
-			buf = t;
-		}
-
-		do {
-			readsz = bufsz - datasz;
-			t = buf + datasz;
-			if ((readsz = read(fd, t, readsz)) <= 0)
-				break;
-			datasz += readsz;
-		} while (datasz < bufsz);
-
-	} while (readsz > 0);
-
-	if (readsz < 0) {
-		LIBELF_SET_ERROR(IO, errno);
-		goto error;
-	}
-
-	assert(readsz == 0);
-
-	/*
-	 * Free up extra buffer space.
-	 */
-	if (bufsz > datasz) {
-		if (datasz > 0) {
-			if ((t = realloc(buf, datasz)) == NULL)
-				goto resourceerror;
-			buf = t;
-		} else {	/* Zero bytes read. */
-			LIBELF_SET_ERROR(ARGUMENT, 0);
-			free(buf);
-			buf = NULL;
-		}
-	}
-
-	*fsz = datasz;
-	return (buf);
-
-resourceerror:
-	LIBELF_SET_ERROR(RESOURCE, 0);
-error:
-	if (buf != NULL)
-		free(buf);
-	return (NULL);
-}
-
+LIBELF_VCSID("$Id$");
 
 static Elf *
@@ -124,11 +47,12 @@
 	Elf *e;
 	void *m;
-	mode_t mode;
-	size_t fsize;
 	struct stat sb;
-	unsigned int flags;
 
-	assert(c == ELF_C_READ || c == ELF_C_RDWR || c == ELF_C_WRITE);
-
+	/*
+	 * 'Raw' files are always mapped with 'PROT_READ'.  At
+	 * elf_update(3) time for files opened with ELF_C_RDWR the
+	 * mapping is unmapped, file data is written to using write(2)
+	 * and then the raw data is immediately mapped back in.
+	 */
 	if (fstat(fd, &sb) < 0) {
 		LIBELF_SET_ERROR(IO, errno);
@@ -136,71 +60,34 @@
 	}
 
-	mode = sb.st_mode;
-	fsize = (size_t) sb.st_size;
-
 	/*
-	 * Reject unsupported file types.
+	 * Restrict elf_begin(3) to regular files.
+	 *
+	 * In some operating systems, some special files can appear to
+	 * contain ELF objects (for example, /dev/ksyms in NetBSD).
+	 * If such files need to be processed using libelf,
+	 * applications can use elf_memory(3) on an appropriately
+	 * populated memory arena.
 	 */
-	if (!S_ISREG(mode) && !S_ISCHR(mode) && !S_ISFIFO(mode) &&
-	    !S_ISSOCK(mode)) {
+	if (!S_ISREG(sb.st_mode)) {
 		LIBELF_SET_ERROR(ARGUMENT, 0);
 		return (NULL);
 	}
 
-	/*
-	 * For ELF_C_WRITE mode, allocate and return a descriptor.
-	 */
-	if (c == ELF_C_WRITE) {
-		if ((e = _libelf_allocate_elf()) != NULL) {
-			_libelf_init_elf(e, ELF_K_ELF);
-			e->e_byteorder = LIBELF_PRIVATE(byteorder);
-			e->e_fd = fd;
-			e->e_cmd = c;
-			if (!S_ISREG(mode))
-				e->e_flags |= LIBELF_F_SPECIAL_FILE;
-		}
-
-		return (e);
-	}
-
-
-	/*
-	 * ELF_C_READ and ELF_C_RDWR mode.
-	 */
 	m = NULL;
-	flags = 0;
-	if (S_ISREG(mode)) {
-		/*
-		 * Always map regular files in with 'PROT_READ'
-		 * permissions.
-		 *
-		 * For objects opened in ELF_C_RDWR mode, when
-		 * elf_update(3) is called, we remove this mapping,
-		 * write file data out using write(2), and map the new
-		 * contents back.
-		 */
-		if ((m = mmap(NULL, fsize, PROT_READ, MAP_PRIVATE, fd,
-		    (off_t) 0)) == MAP_FAILED) {
-			LIBELF_SET_ERROR(IO, errno);
-			return (NULL);
-		}
-
-		flags = LIBELF_F_RAWFILE_MMAP;
-	} else if ((m = _libelf_read_special_file(fd, &fsize)) != NULL)
-		flags = LIBELF_F_RAWFILE_MALLOC | LIBELF_F_SPECIAL_FILE;
-	else
-		return (NULL);
-
-	if ((e = elf_memory(m, fsize)) == NULL) {
-		assert((flags & LIBELF_F_RAWFILE_MALLOC) ||
-		    (flags & LIBELF_F_RAWFILE_MMAP));
-		if (flags & LIBELF_F_RAWFILE_MMAP)
-			(void) munmap(m, fsize);
-		else
-			free(m);
+	if ((m = mmap(NULL, (size_t) sb.st_size, PROT_READ, MAP_PRIVATE, fd,
+	    (off_t) 0)) == MAP_FAILED) {
+		LIBELF_SET_ERROR(IO, errno);
 		return (NULL);
 	}
 
-	/* ar(1) archives aren't supported in RDWR mode. */
+	if ((e = elf_memory(m, (size_t) sb.st_size)) == NULL) {
+		(void) munmap(m, (size_t) sb.st_size);
+		return (NULL);
+	}
+
+	e->e_flags |= LIBELF_F_MMAP;
+	e->e_fd = fd;
+	e->e_cmd = c;
+
 	if (c == ELF_C_RDWR && e->e_kind == ELF_K_AR) {
 		(void) elf_end(e);
@@ -208,8 +95,4 @@
 		return (NULL);
 	}
-
-	e->e_flags |= flags;
-	e->e_fd = fd;
-	e->e_cmd = c;
 
 	return (e);
@@ -233,10 +116,26 @@
 
 	case ELF_C_WRITE:
+
+		if (a != NULL) { /* not allowed for ar(1) archives. */
+			LIBELF_SET_ERROR(ARGUMENT, 0);
+			return (NULL);
+		}
+
 		/*
-		 * The ELF_C_WRITE command is required to ignore the
-		 * descriptor passed in.
+		 * Check writeability of `fd' immediately and fail if
+		 * not writeable.
 		 */
-		a = NULL;
-		break;
+		if (ftruncate(fd, (off_t) 0) < 0) {
+			LIBELF_SET_ERROR(IO, errno);
+			return (NULL);
+		}
+
+		if ((e = _libelf_allocate_elf()) != NULL) {
+			_libelf_init_elf(e, ELF_K_ELF);
+			e->e_byteorder = LIBELF_PRIVATE(byteorder);
+			e->e_fd = fd;
+			e->e_cmd = c;
+		}
+		return (e);
 
 	case ELF_C_RDWR:
Index: rtemstoolkit/elftoolchain/libelf/elf_cntl.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_cntl.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_cntl.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_cntl.3 289 2009-01-08 08:26:08Z jkoshy $ 
+.\" $Id$ 
 .\"
 .Dd August 9, 2006
Index: rtemstoolkit/elftoolchain/libelf/elf_cntl.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_cntl.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_cntl.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -29,5 +29,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_cntl.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 int
Index: rtemstoolkit/elftoolchain/libelf/elf_data.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_data.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_data.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_data.c 1765 2011-08-22 05:59:05Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 Elf_Data *
Index: rtemstoolkit/elftoolchain/libelf/elf_end.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_end.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_end.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_end.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd June 29, 2006
Index: rtemstoolkit/elftoolchain/libelf/elf_end.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_end.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_end.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -1,4 +1,4 @@
 /*-
- * Copyright (c) 2006,2008-2009,2011 Joseph Koshy
+ * Copyright (c) 2006,2008 Joseph Koshy
  * All rights reserved.
  *
@@ -35,5 +35,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_end.c 1922 2011-09-23 08:04:33Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 int
@@ -77,10 +77,6 @@
 		}
 
-		if (e->e_rawfile) {
-			if (e->e_flags & LIBELF_F_RAWFILE_MMAP)
-				(void) munmap(e->e_rawfile, e->e_rawsize);
-			else if (e->e_flags & LIBELF_F_RAWFILE_MALLOC)
-				free(e->e_rawfile);
-		}
+		if (e->e_flags & LIBELF_F_MMAP)
+			(void) munmap(e->e_rawfile, e->e_rawsize);
 
 		sv = e;
Index: rtemstoolkit/elftoolchain/libelf/elf_errmsg.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_errmsg.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_errmsg.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_errmsg.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd June 11, 2006
Index: rtemstoolkit/elftoolchain/libelf/elf_errmsg.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_errmsg.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_errmsg.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -33,5 +33,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_errmsg.c 1345 2011-01-01 11:17:52Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 /*
Index: rtemstoolkit/elftoolchain/libelf/elf_errno.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_errno.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_errno.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -31,5 +31,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_errno.c 1345 2011-01-01 11:17:52Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 int
Index: rtemstoolkit/elftoolchain/libelf/elf_fill.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_fill.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_fill.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_fill.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd June 11, 2006
Index: rtemstoolkit/elftoolchain/libelf/elf_fill.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_fill.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_fill.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -31,5 +31,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_fill.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 void
Index: rtemstoolkit/elftoolchain/libelf/elf_flag.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_flag.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_flag.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -1,4 +1,4 @@
 /*-
- * Copyright (c) 2006,2008-2009,2011 Joseph Koshy
+ * Copyright (c) 2006,2008 Joseph Koshy
  * All rights reserved.
  *
@@ -31,5 +31,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_flag.c 1918 2011-09-22 10:42:06Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 unsigned int
@@ -52,5 +52,5 @@
 		r = a->ar_flags &= ~flags;
 
-	return (r & LIBELF_F_API_MASK);
+	return (r & LIBELF_F_MASK);
 }
 
@@ -74,5 +74,5 @@
 		r = d->d_flags &= ~flags;
 
-	return (r & LIBELF_F_API_MASK);
+	return (r & LIBELF_F_MASK);
 }
 
@@ -136,5 +136,5 @@
 	else
 		r = e->e_flags &= ~flags;
-	return (r & LIBELF_F_API_MASK);
+	return (r & LIBELF_F_MASK);
 }
 
@@ -186,5 +186,5 @@
 	else
 		r = s->s_flags &= ~flags;
-	return (r & LIBELF_F_API_MASK);
+	return (r & LIBELF_F_MASK);
 }
 
Index: rtemstoolkit/elftoolchain/libelf/elf_flagdata.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_flagdata.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_flagdata.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_flagdata.3 221 2008-08-10 04:56:27Z jkoshy $
+.\" $Id$
 .\"
 .Dd October 22, 2007
Index: rtemstoolkit/elftoolchain/libelf/elf_getarhdr.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_getarhdr.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_getarhdr.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_getarhdr.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 15, 2006
Index: rtemstoolkit/elftoolchain/libelf/elf_getarhdr.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_getarhdr.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_getarhdr.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -31,5 +31,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_getarhdr.c 1341 2011-01-01 04:28:29Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 Elf_Arhdr *
Index: rtemstoolkit/elftoolchain/libelf/elf_getarsym.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_getarsym.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_getarsym.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_getarsym.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 15, 2006
Index: rtemstoolkit/elftoolchain/libelf/elf_getarsym.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_getarsym.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_getarsym.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -31,5 +31,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_getarsym.c 1360 2011-01-08 08:27:41Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 Elf_Arsym *
Index: rtemstoolkit/elftoolchain/libelf/elf_getbase.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_getbase.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_getbase.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_getbase.3 978 2010-06-06 12:40:19Z jkoshy $
+.\" $Id$
 .\"
 .Dd June 6, 2010
Index: rtemstoolkit/elftoolchain/libelf/elf_getbase.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_getbase.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_getbase.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -31,5 +31,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_getbase.c 977 2010-06-06 11:50:31Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 off_t
Index: rtemstoolkit/elftoolchain/libelf/elf_getdata.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_getdata.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_getdata.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_getdata.3 1766 2011-08-22 06:01:03Z jkoshy $
+.\" $Id$
 .\"
 .Dd January 26, 2011
Index: rtemstoolkit/elftoolchain/libelf/elf_getident.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_getident.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_getident.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_getident.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd July 3, 2006
Index: rtemstoolkit/elftoolchain/libelf/elf_getident.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_getident.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_getident.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -33,5 +33,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_getident.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 char *
Index: rtemstoolkit/elftoolchain/libelf/elf_getphdrnum.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_getphdrnum.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_getphdrnum.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_getphdrnum.3 467 2009-08-05 18:18:49Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 5, 2009
Index: rtemstoolkit/elftoolchain/libelf/elf_getphnum.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_getphnum.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_getphnum.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_getphnum.3 467 2009-08-05 18:18:49Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 5, 2009
Index: rtemstoolkit/elftoolchain/libelf/elf_getscn.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_getscn.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_getscn.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_getscn.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd October 22, 2007
Index: rtemstoolkit/elftoolchain/libelf/elf_getshdrnum.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_getshdrnum.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_getshdrnum.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_getshdrnum.3 467 2009-08-05 18:18:49Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 4, 2009
Index: rtemstoolkit/elftoolchain/libelf/elf_getshdrstrndx.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_getshdrstrndx.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_getshdrstrndx.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_getshdrstrndx.3 467 2009-08-05 18:18:49Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 5, 2009
Index: rtemstoolkit/elftoolchain/libelf/elf_getshnum.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_getshnum.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_getshnum.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_getshnum.3 467 2009-08-05 18:18:49Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 5, 2009
Index: rtemstoolkit/elftoolchain/libelf/elf_getshstrndx.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_getshstrndx.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_getshstrndx.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_getshstrndx.3 467 2009-08-05 18:18:49Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 5, 2009
Index: rtemstoolkit/elftoolchain/libelf/elf_hash.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_hash.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_hash.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_hash.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 15, 2006
Index: rtemstoolkit/elftoolchain/libelf/elf_hash.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_hash.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_hash.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -31,5 +31,5 @@
 #include "_libelf_config.h"
 
-LIBELF_VCSID("$Id: elf_hash.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 /*
Index: rtemstoolkit/elftoolchain/libelf/elf_kind.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_kind.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_kind.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_kind.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd June 1, 2006
Index: rtemstoolkit/elftoolchain/libelf/elf_kind.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_kind.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_kind.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -31,5 +31,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_kind.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 Elf_Kind
Index: rtemstoolkit/elftoolchain/libelf/elf_memory.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_memory.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_memory.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_memory.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd June 28, 2006
Index: rtemstoolkit/elftoolchain/libelf/elf_memory.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_memory.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_memory.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -33,5 +33,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_memory.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 Elf *
Index: rtemstoolkit/elftoolchain/libelf/elf_next.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_next.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_next.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_next.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd June 17, 2006
Index: rtemstoolkit/elftoolchain/libelf/elf_next.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_next.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_next.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -33,5 +33,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_next.c 1678 2011-07-28 04:36:34Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 Elf_Cmd
Index: rtemstoolkit/elftoolchain/libelf/elf_phnum.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_phnum.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_phnum.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_phnum.c 466 2009-08-04 17:17:42Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 static int
Index: rtemstoolkit/elftoolchain/libelf/elf_rand.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_rand.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_rand.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_rand.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd June 17, 2006
Index: rtemstoolkit/elftoolchain/libelf/elf_rand.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_rand.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_rand.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_rand.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 off_t
Index: rtemstoolkit/elftoolchain/libelf/elf_rawfile.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_rawfile.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_rawfile.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_rawfile.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd July 3, 2006
Index: rtemstoolkit/elftoolchain/libelf/elf_rawfile.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_rawfile.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_rawfile.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -31,5 +31,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_rawfile.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 char *
Index: rtemstoolkit/elftoolchain/libelf/elf_scn.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_scn.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_scn.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -37,5 +37,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_scn.c 1077 2010-08-09 15:37:40Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 /*
@@ -96,5 +96,5 @@
 		assert(STAILQ_FIRST(&e->e_u.e_elf.e_scn) ==
 		    STAILQ_LAST(&e->e_u.e_elf.e_scn, _Elf_Scn, s_next));
-    
+
 		i = 1;
 		src += fsz;
Index: rtemstoolkit/elftoolchain/libelf/elf_shnum.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_shnum.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_shnum.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_shnum.c 466 2009-08-04 17:17:42Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 static int
Index: rtemstoolkit/elftoolchain/libelf/elf_shstrndx.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_shstrndx.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_shstrndx.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_shstrndx.c 466 2009-08-04 17:17:42Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 static int
Index: rtemstoolkit/elftoolchain/libelf/elf_strptr.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_strptr.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_strptr.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_strptr.3 1081 2010-08-14 02:23:48Z jkoshy $
+.\" $Id$
 .\"
 .Dd December 16, 2006
Index: rtemstoolkit/elftoolchain/libelf/elf_strptr.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_strptr.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_strptr.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -30,5 +30,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_strptr.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 /*
Index: rtemstoolkit/elftoolchain/libelf/elf_types.m4
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_types.m4	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_types.m4	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -24,5 +24,5 @@
  * SUCH DAMAGE.
  *
- * $Id: elf_types.m4 321 2009-03-07 16:59:14Z jkoshy $
+ * $Id$
  */
 
Index: rtemstoolkit/elftoolchain/libelf/elf_update.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_update.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_update.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: elf_update.3 1729 2011-08-14 09:13:00Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 14, 2011
Index: rtemstoolkit/elftoolchain/libelf/elf_update.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_update.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_update.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -26,5 +26,4 @@
 
 #include <sys/mman.h>
-#include <sys/stat.h>
 
 #include <assert.h>
@@ -38,5 +37,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_update.c 1922 2011-09-23 08:04:33Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 /*
@@ -988,5 +987,5 @@
 
 	assert(e->e_kind == ELF_K_ELF);
-	assert(e->e_cmd == ELF_C_RDWR || e->e_cmd == ELF_C_WRITE);
+	assert(e->e_cmd != ELF_C_READ);
 	assert(e->e_fd >= 0);
 
@@ -1039,55 +1038,33 @@
 
 	/*
-	 * For regular files, throw away existing file content and
-	 * unmap any existing mappings.
-	 */
-	if ((e->e_flags & LIBELF_F_SPECIAL_FILE) == 0) {
-		if (ftruncate(e->e_fd, (off_t) 0) < 0 ||
-		    lseek(e->e_fd, (off_t) 0, SEEK_SET)) {
+	 * Write out the constructed contents and remap the file in
+	 * read-only.
+	 */
+
+	if (e->e_rawfile && munmap(e->e_rawfile, e->e_rawsize) < 0) {
+		LIBELF_SET_ERROR(IO, errno);
+		goto error;
+	}
+
+	if (write(e->e_fd, newfile, (size_t) newsize) != newsize ||
+	    lseek(e->e_fd, (off_t) 0, SEEK_SET) < 0) {
+		LIBELF_SET_ERROR(IO, errno);
+		goto error;
+	}
+
+	if (e->e_cmd != ELF_C_WRITE) {
+
+		if (e->e_rawsize > (size_t) newsize &&
+		    ftruncate(e->e_fd, newsize) < 0) {
 			LIBELF_SET_ERROR(IO, errno);
 			goto error;
 		}
-		if (e->e_flags & LIBELF_F_RAWFILE_MMAP) {
-			assert(e->e_rawfile != NULL);
-			assert(e->e_cmd == ELF_C_RDWR);
-			if (munmap(e->e_rawfile, e->e_rawsize) < 0) {
-				LIBELF_SET_ERROR(IO, errno);
-				goto error;
-			}
-		}
-	}
-
-	/*
-	 * Write out the new contents.
-	 */
-	if (write(e->e_fd, newfile, (size_t) newsize) != newsize) {
-		LIBELF_SET_ERROR(IO, errno);
-		goto error;
-	}
-
-	/*
-	 * For files opened in ELF_C_RDWR mode, set up the new 'raw'
-	 * contents.
-	 */
-	if (e->e_cmd == ELF_C_RDWR) {
-		assert(e->e_rawfile != NULL);
-		if (e->e_flags & LIBELF_F_RAWFILE_MMAP) {
-			if ((e->e_rawfile = mmap(NULL, (size_t) newsize,
-			    PROT_READ, MAP_PRIVATE, e->e_fd, (off_t) 0)) ==
-			    MAP_FAILED) {
-				LIBELF_SET_ERROR(IO, errno);
-				goto error;
-			}
-		} else if (e->e_flags & LIBELF_F_RAWFILE_MALLOC) {
-			free(e->e_rawfile);
-			e->e_rawfile = newfile;
-			newfile = NULL;
-		}
-
-		/* Record the new size of the file. */
+
+		if ((e->e_rawfile = mmap(NULL, (size_t) newsize, PROT_READ,
+		    MAP_PRIVATE, e->e_fd, (off_t) 0)) == MAP_FAILED) {
+			LIBELF_SET_ERROR(IO, errno);
+			goto error;
+		}
 		e->e_rawsize = newsize;
-	} else {
-		/* File opened in ELF_C_WRITE mode. */
-		assert(e->e_rawfile == NULL);
 	}
 
@@ -1119,7 +1096,5 @@
 	}
 
-	/* Free the temporary buffer. */
-	if (newfile)
-		free(newfile);
+	free(newfile);
 
 	return (rc);
Index: rtemstoolkit/elftoolchain/libelf/elf_version.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_version.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_version.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,7 +22,7 @@
 .\" such damage.
 .\"
-.\" $Id: elf_version.3 2123 2011-11-09 15:40:09Z jkoshy $
+.\" $Id$
 .\"
-.Dd November 9, 2011
+.Dd June 1, 2006
 .Os
 .Dt ELF_VERSION 3
@@ -81,5 +81,5 @@
 .Bd -literal -offset indent
 if (elf_version(EV_CURRENT) == EV_NONE)
-	err(EXIT_FAILURE, "ELF library too old");
+	err(EX_SOFTWARE, "ELF library too old");
 .Ed
 .Sh ERRORS
Index: rtemstoolkit/elftoolchain/libelf/elf_version.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/elf_version.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/elf_version.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -31,5 +31,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: elf_version.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 unsigned int
Index: rtemstoolkit/elftoolchain/libelf/gelf.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd September 1, 2006
Index: rtemstoolkit/elftoolchain/libelf/gelf.h
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf.h	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf.h	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -24,5 +24,5 @@
  * SUCH DAMAGE.
  *
- * $Id: gelf.h 1168 2010-09-04 01:03:25Z jkoshy $
+ * $Id$
  */
 
Index: rtemstoolkit/elftoolchain/libelf/gelf_cap.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_cap.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_cap.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: gelf_cap.c 1166 2010-09-04 00:54:36Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 GElf_Cap *
Index: rtemstoolkit/elftoolchain/libelf/gelf_checksum.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_checksum.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_checksum.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf_checksum.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 29, 2006
Index: rtemstoolkit/elftoolchain/libelf/gelf_checksum.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_checksum.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_checksum.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: gelf_checksum.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 long
Index: rtemstoolkit/elftoolchain/libelf/gelf_dyn.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_dyn.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_dyn.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: gelf_dyn.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 GElf_Dyn *
Index: rtemstoolkit/elftoolchain/libelf/gelf_ehdr.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_ehdr.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_ehdr.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -34,5 +34,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: gelf_ehdr.c 1678 2011-07-28 04:36:34Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 Elf32_Ehdr *
Index: rtemstoolkit/elftoolchain/libelf/gelf_fsize.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_fsize.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_fsize.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf_fsize.3 317 2009-03-06 17:29:22Z jkoshy $
+.\" $Id$
 .\"
 .Dd February 5, 2008
Index: rtemstoolkit/elftoolchain/libelf/gelf_fsize.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_fsize.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_fsize.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: gelf_fsize.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 size_t
Index: rtemstoolkit/elftoolchain/libelf/gelf_getcap.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_getcap.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_getcap.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf_getcap.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 29, 2006
Index: rtemstoolkit/elftoolchain/libelf/gelf_getclass.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_getclass.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_getclass.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf_getclass.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd July 3, 2006
Index: rtemstoolkit/elftoolchain/libelf/gelf_getclass.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_getclass.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_getclass.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -31,5 +31,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: gelf_getclass.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 int
Index: rtemstoolkit/elftoolchain/libelf/gelf_getdyn.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_getdyn.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_getdyn.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf_getdyn.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 29, 2006
Index: rtemstoolkit/elftoolchain/libelf/gelf_getehdr.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_getehdr.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_getehdr.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf_getehdr.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd December 16, 2006
Index: rtemstoolkit/elftoolchain/libelf/gelf_getmove.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_getmove.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_getmove.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf_getmove.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 29, 2006
Index: rtemstoolkit/elftoolchain/libelf/gelf_getphdr.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_getphdr.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_getphdr.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf_getphdr.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd October 21, 2007
Index: rtemstoolkit/elftoolchain/libelf/gelf_getrel.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_getrel.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_getrel.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf_getrel.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 29, 2006
Index: rtemstoolkit/elftoolchain/libelf/gelf_getrela.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_getrela.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_getrela.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf_getrela.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 29, 2006
Index: rtemstoolkit/elftoolchain/libelf/gelf_getshdr.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_getshdr.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_getshdr.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf_getshdr.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 27, 2006
Index: rtemstoolkit/elftoolchain/libelf/gelf_getsym.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_getsym.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_getsym.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf_getsym.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 29, 2006
Index: rtemstoolkit/elftoolchain/libelf/gelf_getsyminfo.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_getsyminfo.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_getsyminfo.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf_getsyminfo.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 29, 2006
Index: rtemstoolkit/elftoolchain/libelf/gelf_getsymshndx.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_getsymshndx.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_getsymshndx.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf_getsymshndx.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd November 5, 2006
Index: rtemstoolkit/elftoolchain/libelf/gelf_move.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_move.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_move.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: gelf_move.c 1166 2010-09-04 00:54:36Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 GElf_Move *
Index: rtemstoolkit/elftoolchain/libelf/gelf_newehdr.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_newehdr.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_newehdr.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf_newehdr.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd October 22, 2007
Index: rtemstoolkit/elftoolchain/libelf/gelf_newphdr.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_newphdr.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_newphdr.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf_newphdr.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd October 22, 2007
Index: rtemstoolkit/elftoolchain/libelf/gelf_phdr.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_phdr.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_phdr.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: gelf_phdr.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 Elf32_Phdr *
Index: rtemstoolkit/elftoolchain/libelf/gelf_rel.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_rel.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_rel.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: gelf_rel.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 GElf_Rel *
Index: rtemstoolkit/elftoolchain/libelf/gelf_rela.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_rela.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_rela.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: gelf_rela.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 GElf_Rela *
Index: rtemstoolkit/elftoolchain/libelf/gelf_shdr.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_shdr.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_shdr.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -33,5 +33,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: gelf_shdr.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 Elf32_Shdr *
Index: rtemstoolkit/elftoolchain/libelf/gelf_sym.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_sym.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_sym.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: gelf_sym.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 GElf_Sym *
Index: rtemstoolkit/elftoolchain/libelf/gelf_syminfo.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_syminfo.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_syminfo.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: gelf_syminfo.c 1166 2010-09-04 00:54:36Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 GElf_Syminfo *
Index: rtemstoolkit/elftoolchain/libelf/gelf_symshndx.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_symshndx.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_symshndx.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: gelf_symshndx.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 GElf_Sym *
Index: rtemstoolkit/elftoolchain/libelf/gelf_update_ehdr.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_update_ehdr.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_update_ehdr.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf_update_ehdr.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd August 27, 2006
Index: rtemstoolkit/elftoolchain/libelf/gelf_xlate.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_xlate.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_xlate.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -33,5 +33,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: gelf_xlate.c 1678 2011-07-28 04:36:34Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 Elf_Data *
Index: rtemstoolkit/elftoolchain/libelf/gelf_xlatetof.3
===================================================================
--- rtemstoolkit/elftoolchain/libelf/gelf_xlatetof.3	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/gelf_xlatetof.3	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -22,5 +22,5 @@
 .\" such damage.
 .\"
-.\" $Id: gelf_xlatetof.3 189 2008-07-20 10:38:08Z jkoshy $
+.\" $Id$
 .\"
 .Dd July 24, 2006
Index: rtemstoolkit/elftoolchain/libelf/libelf.h
===================================================================
--- rtemstoolkit/elftoolchain/libelf/libelf.h	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/libelf.h	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -24,5 +24,5 @@
  * SUCH DAMAGE.
  *
- * $Id: libelf.h 1345 2011-01-01 11:17:52Z jkoshy $
+ * $Id$
  */
 
Index: rtemstoolkit/elftoolchain/libelf/libelf_align.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/libelf_align.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/libelf_align.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -33,5 +33,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: libelf_align.c 1169 2010-09-04 01:06:31Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 struct align {
Index: rtemstoolkit/elftoolchain/libelf/libelf_allocate.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/libelf_allocate.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/libelf_allocate.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -41,5 +41,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: libelf_allocate.c 1341 2011-01-01 04:28:29Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 Elf *
Index: rtemstoolkit/elftoolchain/libelf/libelf_ar.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/libelf_ar.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/libelf_ar.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -36,5 +36,5 @@
 #include "_libelf_ar.h"
 
-LIBELF_VCSID("$Id: libelf_ar.c 1341 2011-01-01 04:28:29Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 #define	LIBELF_NALLOC_SIZE	16
Index: rtemstoolkit/elftoolchain/libelf/libelf_ar_util.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/libelf_ar_util.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/libelf_ar_util.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -35,5 +35,5 @@
 #include "_libelf_ar.h"
 
-LIBELF_VCSID("$Id: libelf_ar_util.c 2066 2011-10-26 15:40:28Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 /*
Index: rtemstoolkit/elftoolchain/libelf/libelf_checksum.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/libelf_checksum.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/libelf_checksum.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -31,5 +31,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: libelf_checksum.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 static unsigned long
Index: rtemstoolkit/elftoolchain/libelf/libelf_convert.m4
===================================================================
--- rtemstoolkit/elftoolchain/libelf/libelf_convert.m4	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/libelf_convert.m4	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -33,5 +33,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: libelf_convert.m4 1734 2011-08-16 09:55:07Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 /* WARNING: GENERATED FROM __file__. */
Index: rtemstoolkit/elftoolchain/libelf/libelf_data.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/libelf_data.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/libelf_data.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -31,5 +31,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: libelf_data.c 1264 2010-11-12 14:53:23Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 int
Index: rtemstoolkit/elftoolchain/libelf/libelf_ehdr.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/libelf_ehdr.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/libelf_ehdr.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -34,5 +34,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: libelf_ehdr.c 1677 2011-07-28 04:35:53Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 /*
Index: rtemstoolkit/elftoolchain/libelf/libelf_extended.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/libelf_extended.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/libelf_extended.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: libelf_extended.c 1360 2011-01-08 08:27:41Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 /*
Index: rtemstoolkit/elftoolchain/libelf/libelf_fsize.m4
===================================================================
--- rtemstoolkit/elftoolchain/libelf/libelf_fsize.m4	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/libelf_fsize.m4	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -29,5 +29,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: libelf_fsize.m4 1724 2011-08-13 05:35:42Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 /* WARNING: GENERATED FROM __file__. */
Index: rtemstoolkit/elftoolchain/libelf/libelf_msize.m4
===================================================================
--- rtemstoolkit/elftoolchain/libelf/libelf_msize.m4	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/libelf_msize.m4	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -33,5 +33,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: libelf_msize.m4 1724 2011-08-13 05:35:42Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 /* WARNING: GENERATED FROM __file__. */
Index: rtemstoolkit/elftoolchain/libelf/libelf_phdr.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/libelf_phdr.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/libelf_phdr.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -34,5 +34,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: libelf_phdr.c 1677 2011-07-28 04:35:53Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 void *
Index: rtemstoolkit/elftoolchain/libelf/libelf_shdr.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/libelf_shdr.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/libelf_shdr.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: libelf_shdr.c 189 2008-07-20 10:38:08Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 void *
Index: rtemstoolkit/elftoolchain/libelf/libelf_xlate.c
===================================================================
--- rtemstoolkit/elftoolchain/libelf/libelf_xlate.c	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/libelf_xlate.c	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -32,5 +32,5 @@
 #include "_libelf.h"
 
-LIBELF_VCSID("$Id: libelf_xlate.c 316 2009-02-28 16:08:44Z jkoshy $");
+LIBELF_VCSID("$Id$");
 
 /*
Index: rtemstoolkit/elftoolchain/libelf/os.FreeBSD.mk
===================================================================
--- rtemstoolkit/elftoolchain/libelf/os.FreeBSD.mk	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/os.FreeBSD.mk	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -2,5 +2,5 @@
 # Building for a FreeBSD target.
 #
-# $Id: os.FreeBSD.mk 710 2010-02-17 14:21:38Z jkoshy $
+# $Id$
 
 # Symbol versioning support [FreeBSD 7.X and later]
Index: rtemstoolkit/elftoolchain/libelf/os.NetBSD.mk
===================================================================
--- rtemstoolkit/elftoolchain/libelf/os.NetBSD.mk	(revision 25863503edb513e7501481ff2074c02bf219f519)
+++ rtemstoolkit/elftoolchain/libelf/os.NetBSD.mk	(revision 0c5db2dd13b8270bb80c497d5f53ae2471f8a819)
@@ -2,5 +2,5 @@
 # Build recipes for NetBSD.
 #
-# $Id: os.NetBSD.mk 710 2010-02-17 14:21:38Z jkoshy $
+# $Id$
 #
 
